

arch/sparc64/kernel/sys_sparc32.c:1048: error: parse error before "compat_siginfo_t"
arch/sparc64/kernel/sys_sparc32.c:1049: warning: function declaration isn't a prototype
arch/sparc64/kernel/sys_sparc32.c: In function `compat_sys_rt_sigqueueinfo':
arch/sparc64/kernel/sys_sparc32.c:1054: warning: implicit declaration of function `copy_siginfo_to_kernel32'
arch/sparc64/kernel/sys_sparc32.c:1054: error: `uinfo' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1054: error: (Each undeclared identifier is reported only once
arch/sparc64/kernel/sys_sparc32.c:1054: error: for each function it appears in.)
arch/sparc64/kernel/sys_sparc32.c:1058: error: `pid' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1058: error: `sig' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c: At top level:
arch/sparc64/kernel/sys_sparc32.c:1657: error: parse error before "compat_siginfo_t"
arch/sparc64/kernel/sys_sparc32.c:1659: warning: function declaration isn't a prototype
arch/sparc64/kernel/sys_sparc32.c: In function `compat_sys_waitid':
arch/sparc64/kernel/sys_sparc32.c:1668: error: `which' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1668: error: `pid' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1669: error: `options' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1670: error: `uru' undeclared (first use in this function)
arch/sparc64/kernel/sys_sparc32.c:1684: error: `uinfo' undeclared (first use in this function)
make[1]: *** [arch/sparc64/kernel/sys_sparc32.o] Error 1
make: *** [arch/sparc64/kernel/sys_sparc32.o] Error 2


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-sparc64-akpm/arch/sparc64/kernel/signal32.c    |    2 +-
 25-sparc64-akpm/arch/sparc64/kernel/sys_sparc32.c |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/sparc64/kernel/sys_sparc32.c~compat-sigtimedwait-sparc64-fix arch/sparc64/kernel/sys_sparc32.c
--- 25-sparc64/arch/sparc64/kernel/sys_sparc32.c~compat-sigtimedwait-sparc64-fix	2004-12-20 17:40:51.789134688 -0800
+++ 25-sparc64-akpm/arch/sparc64/kernel/sys_sparc32.c	2004-12-20 17:40:51.793134080 -0800
@@ -1045,13 +1045,13 @@ asmlinkage long sys32_rt_sigpending(comp
 }
 
 asmlinkage long compat_sys_rt_sigqueueinfo(int pid, int sig,
-					   compat_siginfo_t __user *uinfo)
+					   struct compat_siginfo __user *uinfo)
 {
 	siginfo_t info;
 	int ret;
 	mm_segment_t old_fs = get_fs();
 	
-	if (copy_siginfo_to_kernel32(&info, uinfo))
+	if (copy_siginfo_from_user32(&info, uinfo))
 		return -EFAULT;
 
 	set_fs (KERNEL_DS);
@@ -1654,8 +1654,8 @@ sys32_timer_create(u32 clock, struct sig
 }
 
 asmlinkage long compat_sys_waitid(u32 which, u32 pid,
-				  compat_siginfo_t __user *uinfo, u32 options,
-				  struct compat_rusage __user *uru)
+				  struct compat_siginfo __user *uinfo,
+				  u32 options, struct compat_rusage __user *uru)
 {
 	siginfo_t info;
 	struct rusage ru;
diff -puN arch/sparc64/kernel/signal32.c~compat-sigtimedwait-sparc64-fix arch/sparc64/kernel/signal32.c
--- 25-sparc64/arch/sparc64/kernel/signal32.c~compat-sigtimedwait-sparc64-fix	2004-12-20 17:46:52.135353736 -0800
+++ 25-sparc64-akpm/arch/sparc64/kernel/signal32.c	2004-12-20 17:47:07.084081184 -0800
@@ -210,7 +210,7 @@ int copy_siginfo_to_user32(compat_siginf
 /* CAUTION: This is just a very minimalist implementation for the
  *          sake of compat_sys_rt_sigqueueinfo()
  */
-int copy_siginfo_to_kernel32(siginfo_t *to, compat_siginfo_t __user *from)
+int copy_siginfo_from_user32(siginfo_t *to, compat_siginfo_t __user *from)
 {
 	if (!access_ok(VERIFY_WRITE, from, sizeof(compat_siginfo_t)))
 		return -EFAULT;
_
